Bug 246818 - Firefox huge memory leak on automatic page reload
Summary: Firefox huge memory leak on automatic page reload
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Fedora Extras Quality Assurance
URL: httphttp://willem.neostrada.nl/avsh/l...
Whiteboard: firefox3INSUFFICIENT_DATAmassClosing
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 07:56 UTC by Sander Vermin
Modified: 2018-04-11 14:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 14:05:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sander Vermin 2007-07-05 07:56:14 UTC
Description of problem:
Firefox leak memory of a certain page. This page reloads every 5 seconds. On
each reload firefox gain 15mb of memory.

Version-Release number of selected component (if applicable):
Iam using the latest version (2.0.0.4)


How reproducible:

follow this link: http://willem.neostrada.nl/avsh/lansoverzicht.php


Steps to Reproduce:
1. vist link
2.
3.
  
Actual results:
firefox gains 15 mb of memory each 5 seconds on pc reload

Expected results:
pc starts to swap

Additional info:
none

Comment 1 Rafał Polak 2007-07-27 22:02:49 UTC
I confirm this but it is not only Fedora related. It looks like general Firefox
bug. I tested it under openSUSE 10.2 with Firefox 2.0.0.5 and after few minutes
Firefox memory usage increased from 70MB to 500MB.

Comment 2 Jian He 2008-01-08 08:08:12 UTC
I confirm this but does not know how to debug it. Can somebody give a hint?

Comment 3 Christopher Aillon 2008-01-09 12:34:02 UTC
Firefox 3 which is in rawhide now has fixed many leaks.  Can someone see if this
is fixed there?

Comment 4 Matěj Cepl 2008-02-21 22:35:43 UTC
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.

Comment 5 Matěj Cepl 2008-02-21 22:36:53 UTC
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.

Comment 6 Matěj Cepl 2008-04-09 14:05:38 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]


Note You need to log in before you can comment on or make changes to this bug.